Contents

# SetAttr Statement

Đặt thông tin thuộc tính về một tập tin cụ thể.

### Syntax:

    SetAttr PathName As String, Attributes As Integer

### Parameters:

FileName: Name of the file, including the path, that you want to test attributes of. If you do not enter a path, SetAttr searches for the file in the current directory. You can also use URL notation.

Attributes: Bit pattern defining the attributes that you want to set or to clear:

Named constant | Value | Definition
--- | --- | ---
ATTR_NORMAL | 0 | Normal files.
ATTR_READONLY | 1 | Read-only files.
ATTR_HIDDEN | 2 | Hidden file

Bạn có thể đặt nhiều thuộc tính đồng thời, bằng cách kết hợp những giá trị tương ứng trong một câu lệnh OR (hoặc) luận lý.

### Error codes:

5 Sai gọi thủ tục

53 Không tìm thấy tập tin 53 Không tìm thấy tập tin 53 Không tìm thấy tập tin 53 Không tìm thấy tập tin 53 Không tìm thấy tập tin 53 Không tìm thấy tập tin

70 Từ chối cấp phép

### Example:

    Sub ExampleSetGetAttr
     On Error Goto ErrorHandler REM Define target for error-handler
     If Dir("C:\test",16)="" Then MkDir "C:\test"
     If Dir("C:\test\autoexec.sav")="" Then FileCopy "c:\autoexec.bat", "c:\test\autoexec.sav"
     SetAttr "c:\test\autoexec.sav" ,0
     FileCopy "c:\autoexec.bat", "c:\test\autoexec.sav"
     SetAttr "c:\test\autoexec.sav" , ATTR_READONLY
     Print GetAttr( "c:\test\autoexec.sav" )
     End
    ErrorHandler:
     Print Error
     End
    End Sub

Please support us!